For the complete documentation index, see llms.txt. This page is also available as Markdown.

Settings Area Labels

List Area Labels

get

Lists area labels. Area labels are the named rooms or areas (e.g. 'Living Room', 'Kitchen') that a quote's line items are grouped under.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

List of area labels

application/json
totalRowsnumberOptional
get/settings/areaLabels
GET /v2/settings/areaLabels HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "totalRows": 1,
  "rows": [
    {
      "id": "living-room",
      "label": "Living Room",
      "active": true,
      "quoteTypes": [
        "interior",
        "residential"
      ]
    }
  ]
}

Create Area Label

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
labelstringRequired

The display name of the area label.

activebooleanOptional

Whether this area label is active & usable

quoteTypesstring[]Optional

The quote types this area label applies to

Responses
200

Successfully created area label

application/json
idstringRequired

The unique ID of the area label.

labelstringRequired

The display name of the area label.

activebooleanOptional

Whether this area label is active & usable

quoteTypesstring[]Optional

The quote types this area label applies to

post/settings/areaLabels
POST /v2/settings/areaLabels HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 77

{
  "label": "Living Room",
  "active": true,
  "quoteTypes": [
    "interior",
    "residential"
  ]
}
{
  "id": "living-room",
  "label": "Living Room",
  "active": true,
  "quoteTypes": [
    "interior",
    "residential"
  ]
}

Retrieve Area Label

get

Retrieves a single area label by ID. Area labels are the named rooms or areas (e.g. 'Living Room', 'Kitchen') that a quote's line items are grouped under.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the Area Label

Responses
200

Details about the area label

application/json
idstringRequired

The unique ID of the area label.

labelstringRequired

The display name of the area label.

activebooleanOptional

Whether this area label is active & usable

quoteTypesstring[]Optional

The quote types this area label applies to

get/settings/areaLabels/{id}
GET /v2/settings/areaLabels/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "living-room",
  "label": "Living Room",
  "active": true,
  "quoteTypes": [
    "interior",
    "residential"
  ]
}

Update Area Label

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the Area Label

Body
idstringRequired

The unique ID of the area label.

labelstringRequired

The display name of the area label.

activebooleanOptional

Whether this area label is active & usable

quoteTypesstring[]Optional

The quote types this area label applies to

Responses
200

Successfully updated area label

application/json
idstringRequired

The unique ID of the area label.

labelstringRequired

The display name of the area label.

activebooleanOptional

Whether this area label is active & usable

quoteTypesstring[]Optional

The quote types this area label applies to

put/settings/areaLabels/{id}
PUT /v2/settings/areaLabels/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 96

{
  "id": "living-room",
  "label": "Living Room",
  "active": true,
  "quoteTypes": [
    "interior",
    "residential"
  ]
}
{
  "id": "living-room",
  "label": "Living Room",
  "active": true,
  "quoteTypes": [
    "interior",
    "residential"
  ]
}

Delete Area Label

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

ID of the Area Label

Responses
204

Area label successfully deleted

No content

delete/settings/areaLabels/{id}
DELETE /v2/settings/areaLabels/{id} HTTP/1.1
Host: openapi.paintscout.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Last updated

Was this helpful?